using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("MoreDaggers_v0.5", "Caregory for More Daggers items!", ModAPI.LoadSprite("Icon.png"));

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Diamond Dagger -MoreDaggers",
                    DescriptionOverride = "Feels like minecraft but it doesn't.",
                    CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                    ThumbnailOverride = ModAPI.LoadSprite("DdaggerT.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ddagger.png"); //Doesn't exist yet!
                    }
                }
            );
            // register item to the mod api

            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Knife"),
                                NameOverride = "Long Dagger -MoreDaggers",
                                DescriptionOverride = "This is longer than you",
                                CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                                ThumbnailOverride = ModAPI.LoadSprite("LdaggerT.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ldagger.png"); //Doesn't exist yet!
                        Instance.FixColliders();
                                }
                            }
                        );

            ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Pistol"),
                               NameOverride = "Pistol Dagger -MoreDaggers",
                               DescriptionOverride = "This is dagger BUT IT SHOOTS!",
                               CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                               ThumbnailOverride = ModAPI.LoadSprite("PdaggerT.png"), //Doesn't exist yet!
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pdagger.png"); //Doesn't exist yet!
                                   Instance.FixColliders();
                               }
                           }
                       );

            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Knife"),
                   NameOverride = "Chungus Dagger -MoreDaggers",
                   DescriptionOverride = "This is basically Chungus.",
                   CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                   ThumbnailOverride = ModAPI.LoadSprite("CdaggerT.png"), //Doesn't exist yet!
                   AfterSpawn = (Instance) =>
                   {
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cdagger.png"); //Doesn't exist yet!
                       Instance.FixColliders();
                   }
               }
           );

            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Knife"),
                   NameOverride = "Loooooooooooong",
                   DescriptionOverride = "Wait how did you find this dagger? (This is very blunt)",
                   CategoryOverride = ModAPI.FindCategory("https://www.youtube.com/watch?v=dQw4w9WgXcQ"),
                   ThumbnailOverride = ModAPI.LoadSprite("ULdaggerT.png"), //Doesn't exist yet!
                   AfterSpawn = (Instance) =>
                   {
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ULdagger.png"); //Doesn't exist yet!
                       Instance.FixColliders();
                   }
               }
           );

            ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Pistol"),
       NameOverride = "Windows 95",
       DescriptionOverride = "Windows 95 but it shoots...WAIT IT SHOOTS?!",
       CategoryOverride = ModAPI.FindCategory("https://www.youtube.com/watch?v=KWtwIf-TSlo"),
       ThumbnailOverride = ModAPI.LoadSprite("Windows95T.png"), //Doesn't exist yet!
                   AfterSpawn = (Instance) =>
                   {
                       var firearm = Instance.GetComponent<FirearmBehaviour>();
                       firearm.ShotSounds = new AudioClip[]
                       {
            ModAPI.LoadSound("gun1.wav"),
                       };


           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Windows95.png");
            Instance.FixColliders();
       }
   }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"),
        NameOverride = "Stielhanddagger -MoreDaggers",
        DescriptionOverride = "StielHandGranate but can also stab! Two in one!",
        CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
        ThumbnailOverride = ModAPI.LoadSprite("SHGdaggerT.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SGHdagger.png");
            var Knife = Instance.AddComponent<SGH>();
        }
    }
            );

            ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Knife"),
       NameOverride = "Needle -MoreDaggers",
       DescriptionOverride = "How intimidating",
       CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
       ThumbnailOverride = ModAPI.LoadSprite("NeedleT.png"), //Doesn't exist yet!
                   AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Needle.png"); //Doesn't exist yet!
                       Instance.FixColliders();
       }
   }
);
            ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Knife"),
       NameOverride = ("Nail -MoreDaggers"),
       DescriptionOverride = ("Needle's bigger brother, he like's eating wood"),
       CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
       ThumbnailOverride = ModAPI.LoadSprite("nailT.png"), //Doesn't exist yet!
                   AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nail.png"); //Doesn't exist yet!
                       Instance.FixColliders();
       }
   }
);

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Cooper Dagger -MoreDaggers",
                    DescriptionOverride = "This is literally stolen from Cooper Republic Mod",
                    CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                    ThumbnailOverride = ModAPI.LoadSprite("CoDaggerT.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CoDagger.png"); //Doesn't exist yet!
                    }
                }
            );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Iphone_12 Dagger -MoreDaggers",
                    DescriptionOverride = "Iphone with offensive anti Karens dagger",
                    CategoryOverride = ModAPI.FindCategory("MoreDaggers_v0.5"),
                    ThumbnailOverride = ModAPI.LoadSprite("IphoneKnifeT.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IphoneKnife.png"); //Doesn't exist yet!
                        Instance.FixColliders();
                    }
                }
            );
        }
    }
}



